"use strict";
// Copyright (c) Microsoft. All rights reserved.
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerProcessedDataType = void 0;
/**
 * Server processed data type.
 *
 * @internal
 */
// eslint-disable-next-line @typescript-eslint/typedef
exports.ServerProcessedDataType = {
    /**
     * The date type is valid html string.
     */
    htmlString: 1,
    /**
     * The date type is a link to a resource.
     * The link can be a SharePoint content link or non-SharePoint link.
     */
    link: 2,
    /**
     * The date type is a link to a image.
     * The link can be a SharePoint content link or non-SharePoint link.
     */
    imageSource: 3,
    /**
     * The data type is a string that should be search indexed.
     */
    searchablePlainText: 4
};
//# sourceMappingURL=ISerializedServerProcessedData.js.map